#include <stdio.h>
#include <stdlib.h>
#include <errno.h>

extern void *__fname(const char *);

int remove(const char *name)
{
  __pdos_cmd.destroy.cnt=1;
  __pdos_cmd.destroy.name=__fname(name);
  if(!__pdos_cmd.destroy.name) return -1;
  __pdos_call(PDOS_DESTROY);
  free(__pdos_cmd.destroy.name);
  if(__pdos_err){errno=__pdos_err;return -1;}
  return 0;
}
